# Doctrine cache --> instead of PREDIS (gos_web_socket > client > storage > driver)
doctrine_cache:
    providers:
        redis_cache:
            redis:
                host: localhost
                port: 6379
                database: 3
        websocket_cache_client:
            type: redis
            alias: gos_web_socket.client_storage.driver.redis

## SNC
#snc_redis:
#    clients:
#        cache:
#            type: predis
#            alias: cache
#            dsn: redis://localhost/2
#            logging: "%kernel.debug%"
#            options:
#                profile: 2.2
#                connection_timeout: 10
#                read_write_timeout: 30

# Web Socket Configuration
gos_web_socket:
    server:
        host: 0.0.0.0
        port: "%mineseeker.websocket%"
        router:
            resources:
                - "@MineSeekerBundle/Resources/config/pubsub/routing.yml"
    client:
        firewall: secured_area
#        session_handler: "@session.handler.pdo"
#        storage:
#            driver: "@gos_web_socket.client_storage.driver.predis"
#            ttl: 28800 #(optionally) time to live if you use redis driver
#            prefix: client #(optionally) prefix if you use redis driver, create key "client:1" instead key "1"
    periodic:
        - "@mineseeker.periodic"
